Get the organization's notification categories
GET /api/notification-categories. Get the organization's notification categories. Headless LMS Notifications API reference.
Requires notification_categories:read. The list in use for notifications outside any community, with source saying whether it is the default or a stored list.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/notification-categories"{ "categories": [ { "key": "string", "covers": [ { "type": "string", "reasons": [ "subject" ] } ], "channels": { "property1": { "default": true, "locked": true }, "property2": { "default": true, "locked": true } }, "perSpace": true, "spaceDefaults": { "property1": { "property1": true, "property2": true }, "property2": { "property1": true, "property2": true } } } ], "source": "default"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List the notification channels this deployment can deliver on GET
GET /api/notification-channels. List the notification channels this deployment can deliver on. Headless LMS Notifications API reference.
Go back to the default notification categories for the organization DELETE
DELETE /api/notification-categories. Go back to the default notification categories for the organization. Headless LMS Notifications API reference.